Package org.italiangrid.voms.util

# Enum CertificateValidatorBuilder.OpensslHashFunction

java.lang.Object
java.lang.Enum<CertificateValidatorBuilder.OpensslHashFunction>
org.italiangrid.voms.util.CertificateValidatorBuilder.OpensslHashFunction

All Implemented Interfaces:
  `Serializable`, `Comparable<CertificateValidatorBuilder.OpensslHashFunction>`, `java.lang.constant.Constable`

Enclosing class:
  `CertificateValidatorBuilder`

public static enum CertificateValidatorBuilder.OpensslHashFunction extends Enum<CertificateValidatorBuilder.OpensslHashFunction>
This enum determine which hash function is configured for the canl `OpensslCertChainValidator` to resolve CRLs and other trust anchors files.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MD5`
`SHA1`

## Method Summary

Modifier and Type
Method
Description
`static CertificateValidatorBuilder.OpensslHashFunction`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CertificateValidatorBuilder.OpensslHashFunction[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MD5

public static final CertificateValidatorBuilder.OpensslHashFunction MD5

### SHA1

public static final CertificateValidatorBuilder.OpensslHashFunction SHA1

## Method Details

### values

public static CertificateValidatorBuilder.OpensslHashFunction[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CertificateValidatorBuilder.OpensslHashFunction valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null